cascading.flow.planner.iso.expression

## Class FlowElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.TypeExpression<FlowElement>
    - - cascading.flow.planner.iso.expression.FlowElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class FlowElementExpression
    extends TypeExpression<FlowElement>

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.TypeExpression

`TypeExpression.Topo`

### Constructor Summary

Constructors
Constructor and Description
`FlowElementExpression(boolean exact, java.lang.Class<? extends FlowElement> type)`
`FlowElementExpression(boolean exact, java.lang.Class<? extends FlowElement> type, TypeExpression.Topo topo)`
`FlowElementExpression(java.lang.Class<? extends FlowElement> type)`
`FlowElementExpression(java.lang.Class<? extends FlowElement> type, TypeExpression.Topo topo)`
`FlowElementExpression(ElementCapture capture, boolean exact, java.lang.Class<? extends FlowElement> type)`
`FlowElementExpression(ElementCapture capture, boolean exact, java.lang.Class<? extends FlowElement> type, TypeExpression.Topo topo)`
`FlowElementExpression(ElementCapture capture, java.lang.Class<? extends FlowElement> type)`
`FlowElementExpression(ElementCapture capture, java.lang.Class<? extends FlowElement> type, TypeExpression.Topo topo)`

### Method Summary

### Methods inherited from class cascading.flow.planner.iso.expression.TypeExpression

`applies, getType, toString`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FlowElementExpression

    public FlowElementExpression(ElementCapture capture,
                         boolean exact,
                         java.lang.Class<? extends FlowElement> type,
                         TypeExpression.Topo topo)

#### FlowElementExpression

    public FlowElementExpression(ElementCapture capture,
                         java.lang.Class<? extends FlowElement> type,
                         TypeExpression.Topo topo)

#### FlowElementExpression

    public FlowElementExpression(boolean exact,
                         java.lang.Class<? extends FlowElement> type,
                         TypeExpression.Topo topo)

#### FlowElementExpression

    public FlowElementExpression(java.lang.Class<? extends FlowElement> type,
                         TypeExpression.Topo topo)

#### FlowElementExpression

    public FlowElementExpression(ElementCapture capture,
                         boolean exact,
                         java.lang.Class<? extends FlowElement> type)

#### FlowElementExpression

    public FlowElementExpression(ElementCapture capture,
                         java.lang.Class<? extends FlowElement> type)

#### FlowElementExpression

    public FlowElementExpression(boolean exact,
                         java.lang.Class<? extends FlowElement> type)

#### FlowElementExpression

    public FlowElementExpression(java.lang.Class<? extends FlowElement> type)